package com.kiisoo.ic.common;


public class MessageException extends Exception{
    private String status;
    private String title;
    private Integer code;
    private String description;

    public MessageException(ErrorMesage errorMesage) {
        this.status = errorMesage.getStatus();
        this.title = errorMesage.getTitle();
        this.code = errorMesage.getCode();
        this.description = errorMesage.getDescription();
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getCode() {
        return this.code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String toString() {
        return "MessageException{status='" + this.status + '\'' + ", title='" + this.title + '\'' + ", code=" + this.code + ", description='" + this.description + '\'' + '}';
    }
}
